
QGIS Application - Bug report #22129

QGIS crashes when opening a new project

2019-05-23 06:54 AM - Neil Bombardier

Status: Feedback

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.6.2 Regression?: No

Operating System: windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29940

Description

QGIS 3.6.2 crashed when opening a new project

User Feedback

trying to open a different project

Report Details

Crash ID: d89364a0253e3b92c7eb9e4bc5327eee1e254b05

Stack Trace

QList<QItemSelectionRange>::empty :

QUndoStack::canRedo :

QgsUndoWidget::indexChanged :

QMetaObject::activate :

QUndoStack::clear :

QUndoStack::~QUndoStack :

QgsProjectFileTransform::operator= :

QObjectPrivate::deleteChildren :

QObject::~QObject :

QgsVectorLayerUndoCommandRenameAttribute::~QgsVectorLayerUndoCommandRenameAttribute :

QgsMapLayerStore::removeMapLayers :

QgsMapLayerStore::removeMapLayers :

QgsMapLayerStore::removeAllMapLayers :

QgsProject::clear :

QgisApp::closeProject :

QgisApp::addProject :

QgisApp::openProject :

QMetaObject::activate :

QMenu::~QMenu :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :
QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.1-Noosa

QGIS code revision: commit:2468226bc9

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2019-05-23 07:13 AM - Neil Bombardier

- Assignee deleted (Neil Bombardier)

#2 - 2019-05-23 11:28 AM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

- Category changed from Actions to Project Loading/Saving

Please try with a new/clean QGIS profile, no 3rd party plugins installed.

#3 - 2019-05-24 02:37 AM - Neil Bombardier

Using a clean Profile without plugins resolved the issue. I'll go through each plugin and see if I can identify which one is causing the crash
